<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Training Site</title>
    <link rel="stylesheet" href="style.css">

</head>
<body>
    <div id="nav"></div>

    <section class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                   <!-- content -->
                   <a href="#" class="loadclick btn btn-primary btn-lg">load more</a>
                   <table id="" class="table table-striped table-bordered loadmore" style="width:100%">
                        <thead>
                         
                          </thead>
                        <tbody>
                  
                         </tbody>
                     </table>
                     
                   <!-- end content  -->
                </div>
            </div>
        </div>
    </section>


    <script src="js/jq.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/app.js"></script>
    <script>
        $(document).ready(function(){
            var count = 1 ;
            $('.loadclick').click(function(e){
               
               
                $('.loadmore thead').html('<th class="sorting_disabled" rowspan="1" colspan="1">States</th> <th class="sorting_disabled" rowspan="1" colspan="1">Abbrev</th>');

                $.getJSON('json/us_states.json', function(data) {
                $.each(data.us_states, function(i, f) {
                var tblRow = "<tr><td>" + f.State + "</td>" + "<td>" + f.Abbreviation + "</td></tr>";
                $(".loadmore tbody").append(tblRow);
                
                
                });
                
            });
            //$(this).hide();
            $(this).removeClass().addClass('btn btn-primary btn-lg').off('click');  
            });
            

        });
    </script>
</body>
</html>